public class if_xtest
{
public static void main(String arg[])
{if_x f=(x)->x*x*x*x*x*x+2.0;
 double x1=1.0;
 double ff=f.func(x1);
 double df=f.dfunc(x1,1);
 double d2f=f.dfunc(x1,2);
 double d3f=f.dfunc(x1,3);
 double d4f=f.dfunc(x1,4);
 double d6f=f.dfunc(x1,5);
  double d5f=f.dfunc(x1,6);
 System.out.println("ff="+ff+"df="+df+"d2f="+d2f+"d3f="+d3f+"d4f="+d4f+"d5f="+d5f+"d6f="+d6f);
}	
}